<md-toolbar 
	wb-border="wbModel.style"
	layout="row" 
	layout-align="center center">
	<img 
		ng-if="wbModel.cover"
		height="42px" 
		ng-src="{{ wbModel.cover }}" 
		ng-class="md-icon-button"/>
	<md-truncate 
		ng-if="wbModel.label"
		layout-padding> {{ wbModel.label }}</md-truncate>
		
  	<md-button
  		hide show-gt-md
  		ng-repeat="feature in wbModel.features | limitTo: 8"
	    aria-label="{{feature.title}}"
	    ng-click="runAction(feature)"
	    ng-class="{'md-icon-button': feature.image}">
		<img 
			ng-if="feature.image"
			height="32px" 
			ng-src="{{ feature.image }}" />
		<span
			ng-if="!feature.image">{{ feature.title }}</span>
  		<md-tooltip
  			ng-if="feature.text">{{ feature.text }}</md-tooltip>
	</md-button>
	
	<span flex></span>
	<md-menu
		ng-show="wbModel.features.length">
		<md-button 
			aria-label="Open demo menu" 
			class="md-icon-button" 
			ng-click="$mdMenu.open($event)">
			<wb-icon>more_vert</wb-icon>
		</md-button>
		<md-menu-content>
			<md-menu-item 
			  		ng-repeat="feature in wbModel.features">
			  	<md-button
			  		show-gt-md
				    aria-label="menu"
				    ng-click="runAction(feature)">
					<img height="24px" ng-src="{{ feature.image }}" />
					{{ feature.title }}
				</md-button>
			</md-menu-item>
		</md-menu-content>
	</md-menu>
</md-toolbar>

